Bug 51917 - RFE: be able to override "config designation" of a file.
RFE: be able to override "config designation" of a file.
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-16 17:00 EDT by Aleksey Nogin
Modified: 2007-04-18 12:35 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-19 15:11:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aleksey Nogin 2001-08-16 17:00:15 EDT
From time to time I need to modify a file that the package creator didn't
expect (maybe correctly) users to modify, so it is not marked as a config
file in a package. Often I want my modifications to be preserved on
upgrades, but currently there is no way to tell RPM about that (other then
rebuilding my own packages, which is obviously an overkill).

This RFE is for a mechanism for being able (say, a-la netsharedpath) to
specify that a certain file should be treated as a config file, no matter
how it was packaged.
Comment 1 Jeff Johnson 2001-08-19 12:18:20 EDT
You can already mark files not to be overwritten by adding to %_netsharedpath
and or installing with --excludepath.

Devising a general means to merge file markers from system configuration
and the command line would be a nightmare to diagnose, and seems at
odds with "package management". Why not just rebuild the package
with your fiddles included?
Comment 2 Aleksey Nogin 2001-08-19 15:11:01 EDT
OK, let me be a little more specific - I am messging with Mozilla a lot and I want to have my own /usr/bin/mozilla shell script, however I still want to keep using Blizzard's latest "nightly" RPMs. Rebuilding Mozilla myself takes a few hour on my machine and kind of defeats the idea...
Comment 3 Jeff Johnson 2001-08-20 11:45:14 EDT
You have the following choices:

1) Add the files you don't want changed to
a %_netsharedpath in /etc/rpm/macros

2) Copy the file you want into place immediately
after your nightly upgrade.

I3) Open a bug in bugzilla against Mozilla to try
to get the file marked with %config(noreplace) to preserve
your locally modified /usr/bin/mozilla script.

Otherwisie, I see no reason to add functionality to rpm, rebuilding
(yes that's hard with Mozilla) the package is the right thing to do.

Note You need to log in before you can comment on or make changes to this bug.